summaryrefslogtreecommitdiffstats
path: root/source/d/make/make.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/make/make.SlackBuild')
-rwxr-xr-xsource/d/make/make.SlackBuild14
1 files changed, 4 insertions, 10 deletions
diff --git a/source/d/make/make.SlackBuild b/source/d/make/make.SlackBuild
index 0ea16d1d0..770e972ae 100755
--- a/source/d/make/make.SlackBuild
+++ b/source/d/make/make.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=make
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf make-$VERSION
-tar xvf $CWD/make-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/make-$VERSION.tar.?z || exit 1
cd make-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,12 +77,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/make.guile30.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/make.glibc-2.27.glob.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/b552b05251980f693c729e251f93f5225b400714.patch.gz | patch -p1 --verbose || exit 1
-
-autoreconf -vif
-
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -133,7 +127,7 @@ fi
mkdir -p $PKG/usr/doc/make-$VERSION
cp -a \
- AUTHORS COPYING* ChangeLog NEWS README* \
+ AUTHORS* COPYING* ChangeLog NEWS* README* \
$PKG/usr/doc/make-$VERSION/
# If there's a ChangeLog, installing at least part of the recent history